Bug 806924 - BUG: Kernel reporting soft lockup in SELinux [NEEDINFO]
BUG: Kernel reporting soft lockup in SELinux
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.2
Unspecified Linux
unspecified Severity high
: rc
: ---
Assigned To: Red Hat Kernel Manager
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-26 10:04 EDT by Amitava Dutta
Modified: 2016-08-25 20:35 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-25 20:35:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pmoore: needinfo? (adutta)


Attachments (Terms of Use)

  None (edit)
Description Amitava Dutta 2012-03-26 10:04:41 EDT
Description of problem:

The kernel is reporting 
    "BUG: soft lockup - CPU#0 stuck for 63s!"

Version-Release number of selected component (if applicable):

$ uname -a
Linux devencp02 2.6.32-202.el6.i686 #1 SMP Wed Sep 21 15:26:29 EDT 2011 i686 i686 i386 GNU/Linux

This is on a VMware (VM Version: 7)
    VMware ESXi Version 4.1.0 Build  260247


How reproducible:

Occuring on it's own. The machine has very little load.


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info: extract from log is below


Mar 24 18:04:27 devencp02 kernel: Call Trace:
Mar 24 18:04:27 devencp02 kernel: [<c05bf5c5>] ? cond_compute_av+0x25/0xc0
Mar 24 18:04:27 devencp02 kernel: [<c05bda21>] ? context_struct_compute_av+0x1c1/0x3c0
Mar 24 18:04:27 devencp02 kernel: [<c05bde12>] ? security_compute_av+0xd2/0x290
Mar 24 18:04:27 devencp02 kernel: [<c05a80cb>] ? avc_has_perm_noaudit+0x12b/0x3b0
Mar 24 18:04:27 devencp02 kernel: [<c05a838e>] ? avc_has_perm+0x3e/0x80
Mar 24 18:04:27 devencp02 kernel: [<c05aa5c6>] ? selinux_socket_connect+0x106/0x180
Mar 24 18:04:27 devencp02 kernel: [<c05a233d>] ? security_socket_connect+0xd/0x10
Mar 24 18:04:27 devencp02 kernel: [<c077938b>] ? sys_connect+0x7b/0x100
Mar 24 18:04:27 devencp02 kernel: [<c05a1ddc>] ? security_file_alloc+0xc/0x10
Mar 24 18:04:27 devencp02 kernel: [<c052b8b5>] ? get_empty_filp+0x105/0x1a0
Mar 24 18:04:27 devencp02 kernel: [<c0542d09>] ? alloc_fd+0x69/0xf0
Mar 24 18:04:27 devencp02 kernel: [<c077a1eb>] ? sys_socketcall+0x28b/0x2e0
Mar 24 18:04:27 devencp02 kernel: [<c082fe44>] ? syscall_call+0x7/0xb
Mar 24 18:08:05 devencp02 kernel: BUG: soft lockup - CPU#0 stuck for 63s! [rsyslogd:18007]
Mar 24 18:08:05 devencp02 kernel: Modules linked in: autofs4 nfs lockd fscache nfs_acl auth_rpcgss sunrpc ipt_REJECT nf_conntrack_ipv4 nf_defrag_ipv4 iptable_filter ip_tables ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv
6 xt_state nf_conntrack ip6table_filter ip6_tables ipv6 ext2 sha256_generic aes_i586 aes_generic cbc dm_crypt ppdev parport_pc parport e1000 microcode vmware_balloon sg i2c_piix4 i2c_core ext3 jbd mbcache sd_mod crc_t1
0dif sr_mod cdrom mptspi mptscsih mptbase scsi_transport_spi pata_acpi ata_generic ata_piix dm_mirror dm_region_hash dm_log dm_mod [last unloaded: mperf]
Mar 24 18:08:05 devencp02 kernel: Modules linked in: autofs4 nfs lockd fscache nfs_acl auth_rpcgss sunrpc ipt_REJECT nf_conntrack_ipv4 nf_defrag_ipv4 iptable_filter ip_tables ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv
6 xt_state nf_conntrack ip6table_filter ip6_tables ipv6 ext2 sha256_generic aes_i586 aes_generic cbc dm_crypt ppdev parport_pc parport e1000 microcode vmware_balloon sg i2c_piix4 i2c_core ext3 jbd mbcache sd_mod crc_t1
0dif sr_mod cdrom mptspi mptscsih mptbase scsi_transport_spi pata_acpi ata_generic ata_piix dm_mirror dm_region_hash dm_log dm_mod [last unloaded: mperf]
Mar 24 18:08:05 devencp02 kernel:
Mar 24 18:08:05 devencp02 kernel: Pid: 18007, comm: rsyslogd Not tainted 2.6.32-202.el6.i686 #1 VMware, Inc. VMware Virtual Platform/440BX Desktop Reference Platform
Mar 24 18:08:05 devencp02 kernel: EIP: 0060:[<c05b6080>] EFLAGS: 00000282 CPU: 0
Mar 24 18:08:05 devencp02 kernel: EIP is at avtab_search_node+0x80/0xb0
Mar 24 18:08:05 devencp02 kernel: EAX: c15c46f8 EBX: 00000003 ECX: 00000007 EDX: 00000979
Mar 24 18:08:05 devencp02 kernel: ESI: 000007c4 EDI: c1470000 EBP: 00000113 ESP: f4f9bdf4
Mar 24 18:08:05 devencp02 kernel: DS: 007b ES: 007b FS: 00d8 GS: 00e0 SS: 0068
Mar 24 18:08:05 devencp02 kernel: Process rsyslogd (pid: 18007, ti=f4f9a000 task=f452aab0 task.ti=f4f9a000)
Mar 24 18:08:05 devencp02 kernel: Stack:
Mar 24 18:08:05 devencp02 kernel: 0979bee0 00131110 f4c48580 f4f9bee0 000007c3 00000979 c05bd9c3 0000069c
Mar 24 18:08:05 devencp02 kernel: <0> c0c18adc f53f4e98 00000978 f4c67dc0 f53f6ac0 f63379c4 f4c6ca84 000396e7
Mar 24 18:08:05 devencp02 kernel: <0> 00000003 c1599a00 07c40979 00070003 f63379c4 00000003 000000cb 00000001
Mar 24 18:08:05 devencp02 kernel: Call Trace:
Mar 24 18:08:05 devencp02 kernel: [<c05bd9c3>] ? context_struct_compute_av+0x163/0x3c0
Mar 24 18:08:05 devencp02 kernel: [<c05bde12>] ? security_compute_av+0xd2/0x290
Mar 24 18:08:05 devencp02 kernel: [<c05a80cb>] ? avc_has_perm_noaudit+0x12b/0x3b0
Mar 24 18:08:05 devencp02 kernel: [<c05a838e>] ? avc_has_perm+0x3e/0x80
Mar 24 18:08:05 devencp02 kernel: [<c05a8939>] ? task_has_system+0x29/0x30
Mar 24 18:08:05 devencp02 kernel: [<c05a1bc9>] ? security_syslog+0x9/0x10
Mar 24 18:08:05 devencp02 kernel: [<c0455ece>] ? do_syslog+0x1e/0x440
Mar 24 18:08:05 devencp02 kernel: [<c05acb47>] ? selinux_file_permission+0xe7/0x130
Mar 24 18:08:05 devencp02 kernel: [<c05826c0>] ? kmsg_read+0x0/0x60
Mar 24 18:08:05 devencp02 kernel: [<c05781e4>] ? proc_reg_read+0x64/0xa0
Mar 24 18:08:05 devencp02 kernel: [<c0578180>] ? proc_reg_read+0x0/0xa0
Mar 24 18:08:05 devencp02 kernel: [<c052ac8d>] ? vfs_read+0x9d/0x190
Mar 24 18:08:05 devencp02 kernel: [<c052adc1>] ? sys_read+0x41/0x70
Mar 24 18:08:05 devencp02 kernel: [<c082fe44>] ? syscall_call+0x7/0xb
Mar 24 18:08:05 devencp02 kernel: Code: d6 c1 e5 09 8d 6c 95 00 89 6c 24 04 0f b7 40 0c 0f b7 eb 03 6c 24 04 21 c5 8b 04 af 85 c0 74 ad 0f b7 54 24 02 8d b6 00 00 00 00 <66> 39 10 75 16 66 39 70 02 75 10 66 39 58 04 75
 06 66 85 48 06 
Mar 24 18:08:05 devencp02 kernel: Call Trace:
Mar 24 18:08:05 devencp02 kernel: [<c05bd9c3>] ? context_struct_compute_av+0x163/0x3c0
Mar 24 18:08:05 devencp02 kernel: [<c05bde12>] ? security_compute_av+0xd2/0x290
Mar 24 18:08:05 devencp02 kernel: [<c05a80cb>] ? avc_has_perm_noaudit+0x12b/0x3b0
Mar 24 18:08:05 devencp02 kernel: [<c05a838e>] ? avc_has_perm+0x3e/0x80
Mar 24 18:08:05 devencp02 kernel: [<c05a8939>] ? task_has_system+0x29/0x30
Mar 24 18:08:05 devencp02 kernel: [<c05a1bc9>] ? security_syslog+0x9/0x10
Mar 24 18:08:05 devencp02 kernel: [<c0455ece>] ? do_syslog+0x1e/0x440
Mar 24 18:08:05 devencp02 kernel: [<c05acb47>] ? selinux_file_permission+0xe7/0x130
Mar 24 18:08:05 devencp02 kernel: [<c05826c0>] ? kmsg_read+0x0/0x60
Mar 24 18:08:05 devencp02 kernel: [<c05781e4>] ? proc_reg_read+0x64/0xa0
Mar 24 18:08:05 devencp02 kernel: [<c0578180>] ? proc_reg_read+0x0/0xa0
Mar 24 18:08:05 devencp02 kernel: [<c052ac8d>] ? vfs_read+0x9d/0x190
Mar 24 18:08:05 devencp02 kernel: [<c052adc1>] ? sys_read+0x41/0x70
Mar 24 18:08:05 devencp02 kernel: [<c082fe44>] ? syscall_call+0x7/0xb
Mar 24 18:08:09 devencp02 abrt-dump-oops: Reported 1 kernel oopses to Abrt
Comment 2 RHEL Product and Program Management 2012-05-03 01:24:43 EDT
Since RHEL 6.3 External Beta has begun, and this bug remains
unresolved, it has been rejected as it is not proposed as
exception or blocker.

Red Hat invites you to ask your support representative to
propose this request, if appropriate and relevant, in the
next release of Red Hat Enterprise Linux.
Comment 3 Paul Moore 2015-04-17 14:57:30 EDT
Are you still experiencing this problem?
Comment 4 Linda Wang 2016-08-25 20:35:12 EDT
Given that we have not hear back from the reporter 
on seeing this issue again, close this bz off.
If the issue ever happened again, please feel free
to reopen this bz. thanks!

Note You need to log in before you can comment on or make changes to this bug.